# UbixOS V2: src/sys/kernel/bioscall.c File Reference

# bioscall.c File Reference

`#include <sys/tss.h>`
`#include <ubixos/sched.h>`
`#include <vmm/vmm.h>`
`#include <lib/kmalloc.h>`
`#include <lib/bioscall.h>`
`#include <lib/string.h>`
`#include <sys/video.h>`
`#include <assert.h>`

Include dependency graph for bioscall.c:

Go to the source code of this file.

## Functions

| asm (".globl bios16Code\n"".code16 \n""bios16Code: \n""int $0x10 \n""int $0x69 \n"".code32 \n")
void | biosCall (int biosInt, int eax, int ebx, int ecx, int edx, int esi, int edi, int es, int ds)

## Function Documentation

asm | ( | ".globl bios16Code\n"".code16 \n""bios16Code: \n""int $0x10 \n""int $0x69 \n"".code32 \n" |  | ) |

void biosCall | ( | int | biosInt,
|  | int | eax,
|  | int | ebx,
|  | int | ecx,
|  | int | edx,
|  | int | esi,
|  | int | edi,
|  | int | es,
|  | int | ds |
| ) |  |  |

Definition at line 50 of file bioscall.c.

References _current, assert, tssStruct::back_link, bios16Code(), tssStruct::cr3, tssStruct::cs, tssStruct::ds, tssStruct::eax, tssStruct::ebp, tssStruct::ebx, tssStruct::ecx, tssStruct::edi, tssStruct::edx, EFLAG_IF, EFLAG_VM, tssStruct::eflags, tssStruct::eip, tssStruct::es, tssStruct::esi, tssStruct::esp, tssStruct::esp0, tssStruct::esp1, tssStruct::esp2, tssStruct::fs, tssStruct::gs, tssStruct::io_map, kmalloc(), tssStruct::ldt, taskStruct::oInfo, READY, schedNewTask(), tssStruct::ss, tssStruct::ss0, tssStruct::ss1, tssStruct::ss2, taskStruct::state, tssStruct::trace_bitmap, taskStruct::tss, osInfo::v86Task, x1000, and x2000.

Referenced by systemTask().

Here is the call graph for this function: